MiniKnight

How-to Guide Install Mellanox Driver Proxmox VE 5.1

This was harder than normal Debian or Ubuntu since it's not supported out of the box.

Here's what I did:
Code:
#dependencies
apt-get -y install debhelper autotools-dev dkms zlib1g-dev python
wget quilt python-libxml2 swig dpatch graphviz chrpath
#download and install
wget http://www.mellanox.com/downloads/ofed/MLNX_EN-4.2-1.0.1.0/mlnx-en-4.2-1.0.1.0-debian9.0-x86_64.tgz
tar xzvf mlnx-en-4.2-1.0.1.0-debian9.0-x86_64.tgz
cd mlnx-en-4.2-1.0.1.0-debian9.0-x86_64.tgz
./install --skip-distro-check
If you get complaints on Linux headers like I did:
Code:
wget http://download.proxmox.com/debian/pve/dists/stretch/pvetest/binary-amd64/pve-headers-4.13.4-1-pve_4.13.4-25_amd64.deb
dpkg -i  pve-headers-4.13.4-1-pve_4.13.4-25_amd64.deb
Reboot and you're in business for the $75 Mellanox ConnectX-3 cards.
  • Like
Reactions: jak
Author
MiniKnight
Views
373
First release
Last update
Rating
0.00 star(s) 0 ratings